/**
 * Copyright (c) 2010-2011, Chair for Communication and Distributed Systems,
 * RWTH Aachen University, Germany
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

/**
 * Defines some useful stuff to handle the
 * modules providing the Linux timer interface.
 *
 * @author Bernhard Kirchen
 */

#ifndef LINUXTIMER_H
#define LINUXTIMER_H

#define UQ_LINUX_TIMER "VirtualizeLinuxTimerP.LinuxTimer"

typedef struct timeval timeval_t;
typedef struct itimerval itimer_t;

#endif
